Bug 203560 - removing slang-devel breaks slang
removing slang-devel breaks slang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: slang (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-22 10:07 EDT by Curtis Doty
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 03:14:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2006-08-22 10:07:05 EDT
Does the slang-devel package need ldconfig in %post? Removing it breaks anything
that depends on non-devel slang until I ldconfig manually.

How reproducible:

/usr/lib# ls -oh libslang* 
-rw-r--r-- 1 root 929K Feb 12  2006 libslang.a
lrwxrwxrwx 1 root   17 Aug 22 07:07 libslang.so -> libslang.so.2.0.5
lrwxrwxrwx 1 root   17 Aug 22 07:07 libslang.so.2 -> libslang.so.2.0.5
-rwxr-xr-x 1 root 704K Feb 12  2006 libslang.so.2.0.5
lrwxrwxrwx 1 root   10 Aug 22 07:07 libslang-utf8.a -> libslang.a
lrwxrwxrwx 1 root   17 Aug 22 07:07 libslang-utf8.so -> libslang.so.2.0.5
/usr/lib# rpm -e slang-devel
/usr/lib# ls -oh libslang*   
-rwxr-xr-x 1 root 704K Feb 12  2006 libslang.so.2.0.5
/usr/lib# mc  
/usr/bin/mc: error while loading shared libraries: libslang.so.2: cannot open
shared object file: No such file or directory
/usr/lib# ldconfig 
/usr/lib# mc

Finally, it works again.
Comment 1 Miroslav Lichvar 2006-08-22 10:58:43 EDT
Problem is that the devel package owns the /usr/lib/libslang.so.2 link. I will
put a fixed package in updates, probably based on slang-2.0.6.
Comment 2 Fedora Update System 2006-08-23 10:53:25 EDT
slang-2.0.6-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-08-29 16:45:34 EDT
slang-2.0.6-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Curtis Doty 2006-08-29 18:45:29 EDT
Verified resolved.

Note You need to log in before you can comment on or make changes to this bug.